Package be.fgov.ehealth.seals.core.v1

# Class OriginalDataType

java.lang.Object
be.fgov.ehealth.seals.core.v1.OriginalDataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:09:38+02:00", comments="JAXB RI v4.0.5") public class OriginalDataType extends Object implements Serializable
Block with Algorithm and data to encode.

Java class for OriginalDataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}ID"/>
             <element name="AlgorithmCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="InputData">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <maxLength value="750"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OriginalDataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithmCode()`
  Gets the value of the algorithmCode property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getInputData()`
  Gets the value of the inputData property.
  `void`
  `setAlgorithmCode(String value)`
  Sets the value of the algorithmCode property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setInputData(String value)`
  Sets the value of the inputData property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OriginalDataType

    public OriginalDataType()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAlgorithmCode

    public String getAlgorithmCode()
    Gets the value of the algorithmCode property.
    Returns:
      possible object is `String`

  - ### setAlgorithmCode

    public void setAlgorithmCode(String value)
    Sets the value of the algorithmCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInputData

    public String getInputData()
    Gets the value of the inputData property.
    Returns:
      possible object is `String`

  - ### setInputData

    public void setInputData(String value)
    Sets the value of the inputData property.
    Parameters:
      `value` - allowed object is `String`